=== debian/changelog ===
maas-test (0.1+bzr147-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

  [ Raphaël Badin ]
  * LP: #1304982 No node can be booted until the boot images have been reported
    back to the region: wait until the report_boot_images task has populated the
    BootImage table.
  * LP: #1304448 Default to using Trusty because it's not the current LTS yet
    but maas doesn't support commissioning with precise anymore.
  * LP: #1302617 Limit the list of series on which to install MAAS to Trusty.
  * Fix spelling (s/ipmi/IPMI/), generate manpage.
  * Add a new option, named '--simplestreams-filter', to let the user
    pass simplestreams filters to MAAS used when retrieving the ephemerals.
  * Add a new parameter named --maas-simplestreams-filter to let the user pass
    additional simplestreams filters used when downloading and creating the VM
    on which MAAS is installed.
  * Fix broken maas_admin property: always return the value of self_maas_admin.
  * Always update the list of packages: the list might be outdated even if no
    custom archive was specified.
  * Now that maas-test reports to its own project, it doesn't make sense to
    have a 'maas-test-results' tag.  This branch removes that tag and also
    adds tags indicating success or failure.
  * Change project to which reports are uploaded to 'maas-test-reports'.

  [ Jeroen Vermeulen ]
  * LP: #1302608 New KVMFixture method: upload_file, needed for uploading
    bootresources.yaml.  Also, move make_file() test helper into a new factory
    module.
  * Request gathering of MAAS-side logs from an earlier stage in MAASFixture
    setup.  The CI lab is hitting errors while making its first API request
    during MAASFixture setup, and this should add useful debugging information
    to that failure.
  * LP: #1301815 Don't run the old maas-import-ephemerals script; it no longer
    exists.

  [ Graham Binns ]
  * maas-test now includes all the details (log files, stdin, out and err) of
    commands run during testing in the report it uploads for successful runs.
    Previously it only reported those details in the event of a test failure.
  * Added a --kvm-timeout flag. This is passed to uvt-kvm when we're waiting
    for the VM to come up. It's useful on slow or virtual hardware where the
    default uvt-kvm timeout of 120 seconds isn't quite enough.

  [ Kent Baxley	]
  * LP: #1289606 Add an ipmi-driver option to the command line and default it
    to LAN_2_0 as some BMCs only use v2.0 and most will support it.

  [ Gavin Panella ]
  *  Use python -m pip instead of bin/pip. Newer virtualenvs don't ensure that
     bin/pip is available.

  [ Julian Edwards ]
  * Update maas-test to work with the renamed maas-region-admin in trunk for
    Trusty.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 09 Apr 2014 11:17:40 -0400

maas-test (0.1+bzr58-0ubuntu1) UNRELEASED; urgency=low

  [ Raphaël Badin ]
  * Initial Release

 -- Raphaël Badin <raphael.badin@canonical.com>  Fri, 22 Nov 2013 12:07:51 +0100
