=== debian/control ===
Source: maas-test
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: MAAS Maintainers <maas-devel@lists.launchpad.net>
Build-Depends: debhelper (>= 8.1.0~),
               po-debconf,
               python (>= 2.7),
               python-distribute,
               python-six
Standards-Version: 3.9.4
X-Python-Version: >= 2.7
Homepage: http://launchpad.net/maas-test

Package: maas-test
Architecture: all
Depends: cpu-checker,
         polipo,
         python (>= 2.7),
         python-distro-info,
         python-fixtures,
         python-lxml,
         python-maas-client,
         python-netaddr,
         python-netifaces,
         python-six (>= 1.2.0),
         python-testresources,
         python-testtools,
         qemu-kvm,
         uvtool,
         uvtool-libvirt,
         virt-what,
         ${misc:Depends}
Description: Utility to test hardware compatibility with MAAS
 Utility to test whether a particular set of hardware is compatible
 with MAAS.
